Bug 1829726 - ClamAV: Enable Prelude support
Summary: ClamAV: Enable Prelude support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: clamav
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-30 07:52 UTC by Thomas Andrejak
Modified: 2020-05-30 01:45 UTC (History)
12 users (show)

Fixed In Version: clamav-0.102.3-1.fc32 clamav-0.102.3-1.fc31 clamav-0.102.3-1.fc30 clamav-0.102.3-1.el8 clamav-0.102.3-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-23 02:43:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Thomas Andrejak 2020-04-30 07:52:59 UTC
Description of problem:
Since 0.100.0, ClamAV support Prelude for collecting ClamAV virus events. Please enable this in the package so we can use this output.


Actual results:
No prelude support


Expected results:
Prelude support is available


Additional info:
You need to :
* Add libprelude-devel in BuildRequires
* Add libprelude in Requires
* Add --enable-prelude in configure

Suricata already enable this

Thanks

Regards

Comment 1 Orion Poplawski 2020-04-30 23:32:33 UTC
https://src.fedoraproject.org/rpms/clamav/pull-request/14

Note that this is built on top of another PR, so it may take slightly longer to evaluate.  Please test the build when available.

Comment 2 Thomas Andrejak 2020-05-01 21:59:41 UTC
Hello

Thanks for all !

I think you need to add libprelude to Requires, no ?

Also, can you push this to epel8 ?

Thanks

Regards

Comment 3 Orion Poplawski 2020-05-02 04:05:41 UTC
The requires is added automatically by rpm.  This will go to EPEL8 as well.  Meanwhile, here is a scratch build for testing:

https://koji.fedoraproject.org/koji/taskinfo?taskID=44016581

Comment 4 Orion Poplawski 2020-05-02 04:44:09 UTC
Sorry, there was a libprelude bug.  Try again:

https://koji.fedoraproject.org/koji/taskinfo?taskID=44017508

Comment 5 Sergio Basto 2020-05-05 17:42:35 UTC
I going build clamav for rawhide, f32, f31 , epel7 and epel8 .

Have we anything that we may consider before starting  ? 

Thank you

Comment 6 Thomas Andrejak 2020-05-05 22:23:42 UTC
Hello

Everything seems OK. you can starts

Thanks !

Regards

Comment 7 Orion Poplawski 2020-05-05 22:33:07 UTC
I think I done making changes.  Thanks

Comment 8 Fedora Update System 2020-05-07 04:34:43 UTC
FEDORA-2020-449ef64b54 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-449ef64b54

Comment 9 Fedora Update System 2020-05-07 04:35:18 UTC
FEDORA-2020-dcb7a1f57b has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-dcb7a1f57b

Comment 10 Fedora Update System 2020-05-07 04:35:36 UTC
FEDORA-2020-6ffef7e6a4 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6ffef7e6a4

Comment 11 Fedora Update System 2020-05-08 04:09:43 UTC
FEDORA-2020-449ef64b54 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-449ef64b54`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-449ef64b54

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-05-08 04:52:25 UTC
FEDORA-2020-6ffef7e6a4 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-6ffef7e6a4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6ffef7e6a4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-05-08 05:08:51 UTC
FEDORA-2020-dcb7a1f57b has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-dcb7a1f57b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-dcb7a1f57b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-05-08 12:37:19 UTC
FEDORA-EPEL-2020-6d1d2497d0 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-6d1d2497d0

Comment 15 Fedora Update System 2020-05-08 12:37:44 UTC
FEDORA-EPEL-2020-2692293800 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-2692293800

Comment 16 Fedora Update System 2020-05-09 03:30:21 UTC
FEDORA-EPEL-2020-2692293800 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-2692293800

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2020-05-09 04:16:32 UTC
FEDORA-EPEL-2020-6d1d2497d0 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-6d1d2497d0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2020-05-15 04:31:08 UTC
FEDORA-2020-bca44487a1 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-bca44487a1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-bca44487a1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2020-05-15 04:41:38 UTC
FEDORA-EPEL-2020-765ceaa306 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-765ceaa306

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2020-05-15 04:44:42 UTC
FEDORA-EPEL-2020-235a51a239 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-235a51a239

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Fedora Update System 2020-05-15 05:09:58 UTC
FEDORA-2020-b0acd7b66e has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b0acd7b66e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b0acd7b66e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 22 Fedora Update System 2020-05-15 05:47:18 UTC
FEDORA-2020-d98d2cbae1 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-d98d2cbae1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d98d2cbae1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 23 Fedora Update System 2020-05-23 02:43:59 UTC
FEDORA-2020-bca44487a1 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 24 Fedora Update System 2020-05-23 02:50:47 UTC
FEDORA-2020-b0acd7b66e has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 25 Fedora Update System 2020-05-23 03:21:57 UTC
FEDORA-2020-d98d2cbae1 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 26 Fedora Update System 2020-05-30 00:40:48 UTC
FEDORA-EPEL-2020-765ceaa306 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 27 Fedora Update System 2020-05-30 01:45:09 UTC
FEDORA-EPEL-2020-235a51a239 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.